webpackJsonp([51],{

/***/ 1133:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return ServiceStationDetailPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__app_app_service__ = __webpack_require__(8);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__angular_platform_browser__ = __webpack_require__(36);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__components_member_show_image_show_image__ = __webpack_require__(520);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5_ionic_angular_components_modal_modal_controller__ = __webpack_require__(27);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__app_app_util__ = __webpack_require__(7);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7__ionic_native_app_availability__ = __webpack_require__(510);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_8__ionic_native_in_app_browser_ngx__ = __webpack_require__(166);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_9__ionic_native_geolocation__ = __webpack_require__(169);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_10__ionic_native_launch_navigator__ = __webpack_require__(511);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};



 //跳过安全检查需要引入的服务







var ServiceStationDetailPage = /** @class */ (function () {
    function ServiceStationDetailPage(platform, launchNavigator, appAvailability, geolocation, inAppBrowser, navCtrl, navParams, appService, sanitizer, modalCtrl, appUtil) {
        this.platform = platform;
        this.launchNavigator = launchNavigator;
        this.appAvailability = appAvailability;
        this.geolocation = geolocation;
        this.inAppBrowser = inAppBrowser;
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.appService = appService;
        this.sanitizer = sanitizer;
        this.modalCtrl = modalCtrl;
        this.appUtil = appUtil;
        this.info = [];
        this.myImg = '';
        this.comments = [];
        this.total = 0;
        this.token = localStorage.getItem('changchun.token');
        this.station_id = this.navParams.get('station_id');
        this.commentparams = {
            station_id: this.station_id,
            token: this.token,
            comment: ''
        };
    }
    ServiceStationDetailPage.prototype.ionViewDidLoad = function () {
        this.getStationInfo();
        this.getCommentList();
    };
    /**
     *
     * @param address 高德地图根据地址位置获取坐标信息
     */
    ServiceStationDetailPage.prototype.getAMapLocation = function (address) {
        AMap.service(["AMap.Geocoder"], function () {
            var myGeo = new AMap.Geocoder();
            myGeo.getLocation(address, function (status, result) {
                if (status === 'complete' && result.info === 'OK') {
                    this.desLat = result.geocodes[0].location.lat;
                    this.desLng = result.geocodes[0].location.lng;
                    console.log("this.desLat", this.desLat);
                    console.log("this.desLng", this.desLng);
                }
            });
        });
    };
    /* 获取服务单位详情 */
    ServiceStationDetailPage.prototype.getStationInfo = function () {
        var _this = this;
        this.info = JSON.parse(localStorage.getItem('changchun.stationInfo')) || [];
        this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_2__app_app_service__["a" /* AppGlobal */].API.getStationInfo, { station_id: this.station_id, token: localStorage.getItem('changchun.token') }, function (d) {
            if (d != null && d != undefined) {
                if (d.errcode == -1) {
                    _this.appUtil.remindLogin();
                }
                else if (d.errcode == -2) {
                    _this.appService.alert(d.errmsg);
                }
                else {
                    _this.info = d;
                    //跳过angular的样式安全检查
                    _this.myImg = _this.sanitizer.bypassSecurityTrustStyle('url(' + _this.info[0].pics[0].src + ')');
                    localStorage.setItem('changchun.stationInfo', JSON.stringify(d));
                }
            }
        });
    };
    /**
     * 服务列表
     * @param merchant_id
     */
    ServiceStationDetailPage.prototype.merchantServiceList = function (merchant_id) {
        this.navCtrl.push('ServiceProjectsPage', { merchant_id: merchant_id, source: 'merchant' });
    };
    ServiceStationDetailPage.prototype.doRefresh = function (refresher) {
        var _this = this;
        setTimeout(function () {
            _this.ionViewDidLoad();
            refresher.complete();
        }, 1000);
    };
    /**
     * 打开图片显示模态框
     * @param myEvent
     * @param index
     * @param type 2是详情页面，1是服务单位页面
     */
    ServiceStationDetailPage.prototype.openShowImageModal = function (myEvent, index, type) {
        // console.log('pic==' + this.info[0].pics[1]);
        var imgModal = this.modalCtrl.create(__WEBPACK_IMPORTED_MODULE_4__components_member_show_image_show_image__["a" /* ShowImageComponent */], { pics: this.info[0].pics, index: index, type: 2 });
        imgModal.present({
            ev: myEvent
        });
    };
    /**
     * 导航
     * @param name
     * @param address
     */
    ServiceStationDetailPage.prototype.goMapAddress = function (name, address) {
        var _this = this;
        console.log("address:" + address);
        if (address == '') {
            this.appService.alert("该工会服务站无详细地址，无法进行定位导航");
            return;
        }
        var latitude = localStorage.getItem('changchun.latitude');
        var longitude = localStorage.getItem('changchun.longitude');
        console.log("latitude:", latitude);
        console.log("longitude", longitude);
        console.log("boolean1:", latitude == null || latitude == '0.0');
        console.log("boolean2:", longitude == null || longitude == '0.0');
        if ((latitude == null || latitude == '0.0') && (longitude == null || longitude == '0.0')) {
            this.appService.alert('GPS已禁用，无法定位当前位置');
            return;
        }
        var targetSrc1 = 'http://api.map.baidu.com/direction?origin=latlng:' + latitude + ',' + longitude + '|name:您所在位置&destination=' + address + '&mode=driving&region=北京&output=html&src=测试北京12351app';
        var targetSrc2 = 'http://uri.amap.com/navigation?from=&to=' + this.desLng + ',' + this.desLat + ',' + address + '&mode=car&policy=1&src=mypage&coordinate=gaode&callnative=1';
        if (this.platform.is('ios')) {
            this.launchNavigatorForIos(address);
        }
        else if (this.platform.is('android')) {
            this.appAvailability.check('com.baidu.BaiduMap').then(function (yes) {
                _this.inAppBrowser.create(targetSrc1, '_system', {
                    clearcache: 'yes',
                    clearsessioncache: 'yes',
                    keyboardDisplayRequiresUserAction: 'no'
                });
            }, function (no) {
                _this.getAMapLocation(address),
                    _this.inAppBrowser.create(targetSrc2, '_system', {
                        clearcache: 'yes',
                        clearsessioncache: 'yes',
                        keyboardDisplayRequiresUserAction: 'no'
                    });
            }).catch(function (error) {
                _this.appService.alert("网络繁忙");
                console.log('Error getting location', error);
            });
        }
    };
    ServiceStationDetailPage.prototype.launchNavigatorForIos = function (address) {
        var _this = this;
        this.launchNavigator.availableApps().then(function (data) {
            console.log('data', data);
            data = ["apple_maps:true"];
            _this.launchNavigator.navigate(address, {
                appSelection: {
                    dialogHeaderText: '选择地图',
                    cancelButtonText: '取消',
                    list: data
                }
            }).then(function (resp) {
            }).catch(function (error) {
                _this.appService.alert("网络繁忙");
                console.log('Error getting location', error);
            });
        });
        this.launchNavigator.navigate(address).then(function (resp) {
        }).catch(function (error) {
            _this.appService.alert("网络繁忙");
            console.log('Error getting location', error);
        });
    };
    ServiceStationDetailPage.prototype.call = function (phone) {
        //window.localtion.href=(phone);
        if (phone == null || phone == '') {
            this.appService.alert("暂无联系电话！");
        }
        else {
            window.location.href = 'tel:' + phone + '';
        }
    };
    ServiceStationDetailPage.prototype.assembleHTML = function (strHTML) {
        return this.sanitizer.bypassSecurityTrustHtml(strHTML);
    };
    /**
     * 收藏/取消收藏
     */
    ServiceStationDetailPage.prototype.toggleLike = function (firm_id) {
        var _this = this;
        this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_2__app_app_service__["a" /* AppGlobal */].API.editToogleLike, { firm_id: firm_id, token: localStorage.getItem('changchun.token') }, function (d) {
            if (d != null) {
                if (d.errcode > 0) {
                    _this.getStationInfo();
                    _this.appService.alert(d.errmsg);
                    return;
                }
                else {
                    _this.appService.alert(d.errmsg);
                    return;
                }
            }
            else {
                _this.appService.alert('网络繁忙，请稍候重试');
            }
        });
    };
    /**
     * 相关评价
     */
    ServiceStationDetailPage.prototype.goAppraise = function () {
        this.navCtrl.push('StationAppraisePage', { 'station_id': this.station_id });
    };
    /**
     * 获取评论列表
     */
    ServiceStationDetailPage.prototype.getCommentList = function () {
        var _this = this;
        this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_2__app_app_service__["a" /* AppGlobal */].API.getStationComment, { station_id: this.station_id, page: 1, size: 2 }, function (d) {
            if (d != null && d != undefined) {
                if (d.errcode == -1) {
                    _this.appUtil.remindLogin();
                }
                else if (d.errcode == -2) {
                    _this.appService.alert(d.errmsg);
                }
                else {
                    _this.comments = d;
                    if (d.length > 0) {
                        _this.total = d[0].total;
                    }
                }
            }
        });
    };
    /**
  * 发送评论
  */
    ServiceStationDetailPage.prototype.comment = function () {
        var _this = this;
        if (this.commentparams.comment.replace("/[^/x00-/xff]/g", "aa").length > 512) {
            this.appService.alert("内容不能超过512个字节");
            return;
        }
        this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_2__app_app_service__["a" /* AppGlobal */].API.addStationComment, this.commentparams, function (d) {
            if (d != null) {
                if (d.errcode == 1) {
                    _this.commentparams.comment = '';
                    _this.getCommentList();
                }
                else if (d.errcode == 2) {
                    _this.appService.alert(d.errmsg);
                    return;
                }
            }
            else {
                _this.appService.alert('网络繁忙，请稍候重试');
            }
        });
    };
    ServiceStationDetailPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-service-station-detail',template:/*ion-inline-start:"D:\project\changchun\ccszgh\changchun_app\src\pages\member\service-station-detail\service-station-detail.html"*/'<!--\n\n  Generated template for the ServiceStationDetailPage page.\n\n\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n\n  Ionic pages and navigation.\n\n-->\n\n<ion-header>\n\n\n\n  <ion-navbar color=\'primary\'>\n\n    <ion-title>服务单位详情</ion-title>\n\n  </ion-navbar>\n\n\n\n</ion-header>\n\n\n\n\n\n<ion-content>\n\n  <ion-refresher (ionRefresh)="doRefresh($event)">\n\n    <ion-refresher-content pullingIcon="arrow-dropdown" pullingText="下拉刷新" refreshingSpinner="circles"\n\n      refreshingText="加载中...">\n\n    </ion-refresher-content>\n\n  </ion-refresher>\n\n\n\n  <section *ngFor="let info of info">\n\n    <!-- <ion-item class="item-1" [style.background-image]="myImg" *ngIf="info.pics">\n\n      <div class="item-div-1">\n\n        <h2 style="color:white;font-size:1.6rem">{{info.name}}</h2>\n\n        <div style="padding:0">\n\n          <ion-icon name="star" *ngFor="let item of info.star"></ion-icon>\n\n        </div>\n\n      </div>\n\n    </ion-item> -->\n\n\n\n    <ion-slides pager autoplay="3000" speed="1000" loop="true" autoplayDisableOnInteration="true" class="banner"\n\n      style="height:200px;">\n\n      <ion-slide *ngFor="let img of info.pics" style="color:#ffffff;max-height:200px">\n\n        <img src="{{img.src}}" class="slide-image" style="width:100%;height:200px;" ls-img alt="">\n\n      </ion-slide>\n\n    </ion-slides>\n\n\n\n    <ion-item>\n\n      <h2 style="font-size:1.6rem">{{info.name}}</h2>\n\n      <div style="padding:0">\n\n        <ion-icon name="star" *ngFor="let item of info.star"></ion-icon>\n\n      </div>\n\n    </ion-item>\n\n\n\n    <button ion-item class="item-content" (click)="goMapAddress(info.name,info.address)">\n\n      <ion-avatar item-left>\n\n        <ion-icon class="address-icon" name="pin"></ion-icon>\n\n      </ion-avatar>\n\n      <h3 class="textCtrl-title" style="margin:0 0 0 0;white-space:normal;">{{info.address}}</h3>\n\n    </button>\n\n\n\n    <ion-item class="item-content">\n\n      <ion-avatar item-left>\n\n        <ion-icon class="worktime-icon" name="clock"></ion-icon>\n\n      </ion-avatar>\n\n      <h3 class="textCtrl-title" style="margin:0 0 0 0;display: inline; ">工作时间</h3>\n\n      <p float-right class="textCtrl-content">{{info.worktime}}</p>\n\n    </ion-item>\n\n\n\n    <ion-item class="item-content" (click)="call(info.phone)">\n\n      <ion-avatar item-left>\n\n        <ion-icon class="phone-icon" name="chatbubbles"></ion-icon>\n\n      </ion-avatar>\n\n      <h3 class="textCtrl-title" style="margin:0 0 0 0;display: inline; ">电话</h3>\n\n      <p float-right class="textCtrl-content">{{info.phone}}</p>\n\n    </ion-item>\n\n\n\n    <ion-item class="item-content item-content-end">\n\n      <ion-avatar item-left>\n\n        <ion-icon class="mail-icon" name="mail"></ion-icon>\n\n      </ion-avatar>\n\n      <h3 class="textCtrl-title" style="margin:0 0 0 0;display: inline; ">邮编</h3>\n\n      <p float-right class="textCtrl-content">{{info.post_code}}</p>\n\n    </ion-item>\n\n\n\n    <ion-item class="item-content item-content-end" (click)="merchantServiceList(info.id)">\n\n      <h3 class="textCtrl-title" style="margin:0 0 0 0;display: inline; ">服务项目({{info.service_count}})</h3>\n\n      <ion-icon class="icon-2 textCtrl-content" name="arrow-forward"></ion-icon>\n\n    </ion-item>\n\n\n\n    <ion-item class="item-content">\n\n      <span class="textCtrl-title">详细信息</span>\n\n    </ion-item>\n\n\n\n    <ion-item>\n\n      <p class="textCtrl-content" style="white-space: normal;" [innerHTML]="assembleHTML(info.description)"></p>\n\n    </ion-item>\n\n\n\n    <ion-item>\n\n      <div style="float:left;">\n\n        <img src="assets/imgs/aixin1.png" *ngIf="info.img_like == 0" (click)="toggleLike(info.id)" style="width:22px;height:20px;" >\n\n        <img src="assets/imgs/aixin2.png" *ngIf="info.img_like == 1" (click)="toggleLike(info.id)" style="width:22px;height:20px;" >\n\n      </div>\n\n      <div style="float:left;">\n\n        <span style="font-size:15px;">&nbsp;{{info.like_count}}</span>\n\n      </div>\n\n      <div style="float:right;">\n\n        <img src="assets/imgs/pinglun.png" (click)="goAppraise()" style="width:22px;height:20px;" align="center"><span (click)="goAppraise()" style="font-size:13px;">评论</span>\n\n      </div>   \n\n    </ion-item>\n\n\n\n    <ion-list>\n\n      <!--<button ion-item class="item item-2" (click)="goAppraise()">\n\n        <span class="textCtrl-title">相关评论（{{total}}）</span>\n\n      </button>-->\n\n      <ion-item class="textCtrl-content" *ngFor="let comment of comments">\n\n        <div style="padding:0"><span class="textCtrl-content2" >{{comment.username}}</span><span class="appraise-time textCtrl-content">{{comment.create_time}}</span></div>\n\n        <p class="item-appraise textCtrl-content" [innerHTML]="assembleHTML(comment.comment)"></p>\n\n      </ion-item>\n\n    </ion-list>\n\n\n\n  </section>\n\n\n\n</ion-content>\n\n<ion-footer color="primary">\n\n  <ion-toolbar>\n\n    <textarea style="font-size: 1.4rem;height:30px;width:95%;margin-left:5px;margin-top:10px;" name="content"\n\n     placeholder="说点儿什么吧" [(ngModel)]="commentparams.comment"></textarea>\n\n    <ion-buttons end>\n\n      <button (click)="comment()" ion-button icon-end color="royal">\n\n        发送\n\n        <ion-icon name="send"></ion-icon>\n\n      </button>\n\n    </ion-buttons>\n\n  </ion-toolbar>\n\n</ion-footer>'/*ion-inline-end:"D:\project\changchun\ccszgh\changchun_app\src\pages\member\service-station-detail\service-station-detail.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["Platform"],
            __WEBPACK_IMPORTED_MODULE_10__ionic_native_launch_navigator__["a" /* LaunchNavigator */],
            __WEBPACK_IMPORTED_MODULE_7__ionic_native_app_availability__["a" /* AppAvailability */],
            __WEBPACK_IMPORTED_MODULE_9__ionic_native_geolocation__["a" /* Geolocation */],
            __WEBPACK_IMPORTED_MODULE_8__ionic_native_in_app_browser_ngx__["a" /* InAppBrowser */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
            __WEBPACK_IMPORTED_MODULE_2__app_app_service__["b" /* AppService */],
            __WEBPACK_IMPORTED_MODULE_3__angular_platform_browser__["c" /* DomSanitizer */],
            __WEBPACK_IMPORTED_MODULE_5_ionic_angular_components_modal_modal_controller__["a" /* ModalController */],
            __WEBPACK_IMPORTED_MODULE_6__app_app_util__["a" /* AppUtil */]])
    ], ServiceStationDetailPage);
    return ServiceStationDetailPage;
}());

//# sourceMappingURL=service-station-detail.js.map

/***/ }),

/***/ 992:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "ServiceStationDetailPageModule", function() { return ServiceStationDetailPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__service_station_detail__ = __webpack_require__(1133);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var ServiceStationDetailPageModule = /** @class */ (function () {
    function ServiceStationDetailPageModule() {
    }
    ServiceStationDetailPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__service_station_detail__["a" /* ServiceStationDetailPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__service_station_detail__["a" /* ServiceStationDetailPage */]),
            ],
        })
    ], ServiceStationDetailPageModule);
    return ServiceStationDetailPageModule;
}());

//# sourceMappingURL=service-station-detail.module.js.map

/***/ })

});
//# sourceMappingURL=51.js.map