webpackJsonp([67],{

/***/ 1118:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return PsychologicalMsgPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__app_app_service__ = __webpack_require__(8);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__app_app_util__ = __webpack_require__(7);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};




/**
 * Generated class for the PsychologicalMsgPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var PsychologicalMsgPage = /** @class */ (function () {
    function PsychologicalMsgPage(navCtrl, navParams, appService, appUtil, alertCtrl) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.appService = appService;
        this.appUtil = appUtil;
        this.alertCtrl = alertCtrl;
        this.psyMsgList = [];
        this.hasmore = true;
        this.msgCount = 0;
        this.params = {
            page: 1,
            size: 10,
            token: localStorage.getItem('changchun.token')
        };
    }
    PsychologicalMsgPage.prototype.ionViewDidLoad = function () {
        console.log('ionViewDidLoad HrActivityPage');
        this.initList();
    };
    /**
     * 文本处理
     * @param strHTML
     */
    PsychologicalMsgPage.prototype.assembleHTML = function (strHTML) {
        return this.appUtil.assembleHTML(strHTML);
    };
    /**
     * 追踪对象的id，列表重新加载时进行选择性刷新，在列表大数据情况下提高性能。
     * @param index
     * @param city
     */
    PsychologicalMsgPage.prototype.trackBypsyMsgList = function (index, psyMsgList) {
        return psyMsgList.id;
    };
    /**
     * 删除咨询信息
     * @param index
     * @param record_id
     */
    PsychologicalMsgPage.prototype.deleteMsg = function (slidingItem, index, record_id) {
        var _this = this;
        if (event != null)
            event.stopPropagation(); //禁止事件冒泡
        var token = localStorage.getItem('changchun.token');
        var alert = this.alertCtrl.create({
            title: '温馨提示',
            message: '确定删除此信息',
            buttons: [
                {
                    text: '取消',
                    role: 'cancel',
                    handler: function () {
                        console.log('取消');
                    }
                },
                {
                    text: '确定',
                    handler: function () {
                        console.log('确定');
                        _this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_2__app_app_service__["a" /* AppGlobal */].API.deletePsyMsg, //1.url
                        {
                            token: token,
                            msg_id: record_id
                        }, //2.params
                        function (//2.params
                            d) {
                            if (d != null) {
                                if (d.errcode == 0) {
                                    _this.appService.alert(d.errmsg);
                                    _this.initList();
                                }
                                else if (d.errcode == -2) {
                                    _this.appService.alert(d.errmsg);
                                }
                                else if (d.errcode == -1) {
                                    //跳转至登录页面
                                    _this.appUtil.remindLogin();
                                }
                                else {
                                    _this.appService.alert('网络异常，请稍候重试');
                                }
                            }
                            else {
                                _this.appService.alert('网络异常，请稍候重试');
                            }
                        } //3.callback function
                        );
                    }
                }
            ]
        });
        alert.present();
    };
    /**
     *
     * @param id
     */
    PsychologicalMsgPage.prototype.toDetail = function (id, status) {
        this.navCtrl.push('PsychologicalMsgDetailPage', { record_id: id, status: status });
    };
    /**
     * 刷新时需要初始化页数和是否还有数据的标志
     */
    PsychologicalMsgPage.prototype.initList = function () {
        this.params.page = 1;
        this.hasmore = true;
        this.getList();
    };
    /**
     * 下拉刷新方法
     * @param refresher
     */
    PsychologicalMsgPage.prototype.doRefresh = function (refresher) {
        var _this = this;
        setTimeout(function () {
            _this.initList();
            refresher.complete();
        }, 1000);
    };
    /**
     * 获取活动信息
     */
    PsychologicalMsgPage.prototype.getList = function () {
        var _this = this;
        this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_2__app_app_service__["a" /* AppGlobal */].API.getPsyMsgList, this.params, function (d) {
            if (d != null && d != undefined) {
                if (d.errcode == -1) {
                    _this.appUtil.remindLogin();
                }
                else if (d.errcode == -2) {
                    _this.appService.alert(d.errmsg);
                }
                else {
                    _this.psyMsgList = d;
                    _this.msgCount = d.length;
                    _this.params.page += 1;
                }
            }
            else {
                _this.appService.alert('网络繁忙，请稍候重试');
            }
        });
    };
    /**
     * 上滑加载更多
     * @param infiniteScroll
     */
    PsychologicalMsgPage.prototype.doInfinite = function (infiniteScroll) {
        var _this = this;
        if (this.hasmore == false) {
            infiniteScroll.complete();
            return;
        }
        this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_2__app_app_service__["a" /* AppGlobal */].API.getPsyMsgList, this.params, function (d) {
            if (d.length > 0) {
                //concat():在原来的基础上追加新的数据
                _this.psyMsgList = _this.psyMsgList.concat(d);
                _this.params.page += 1;
            }
            else {
                _this.hasmore = false;
                console.log("没有数据啦！");
            }
            infiniteScroll.complete();
        });
    };
    PsychologicalMsgPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-psychological-msg',template:/*ion-inline-start:"D:\project\changchun\ccszgh\changchun_app\src\pages\member\psychological-msg\psychological-msg.html"*/'<!--\n\n  Generated template for the ResumePage page.\n\n\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n\n  Ionic pages and navigation.\n\n-->\n\n<ion-header>\n\n  <ion-navbar color="primary">\n\n    <ion-title>我的留言</ion-title>\n\n  </ion-navbar>\n\n</ion-header>\n\n\n\n<ion-content>\n\n\n\n  <ion-refresher (ionRefresh)="doRefresh($event)">\n\n    <ion-refresher-content pullingIcon="arrow-dropdown" pullingText="下拉刷新" refreshingSpinner="circles"\n\n      refreshingText="加载中...">\n\n    </ion-refresher-content>\n\n  </ion-refresher>\n\n\n\n  <ion-list no-lines>\n\n    <ion-item *ngIf=\'msgCount==0\'>\n\n      <p style="text-align:center;font-size:1.4rem;color:#8e9093">暂无相关案例数据</p>\n\n    </ion-item>\n\n  </ion-list>\n\n\n\n  <ng-container *ngFor="let msg of psyMsgList;let i=index; trackBy: trackBypsyMsgList">\n\n    <ion-card (click)="toDetail(msg.id,msg.is_reply)">\n\n      <ion-card-header>\n\n        <span class="textCtrl-title">{{msg.title}}</span>\n\n      </ion-card-header>\n\n\n\n      <ion-card-content style="line-height:2rem;">\n\n        <div class="textCtrl-content">{{msg.create_time}}</div>\n\n        <div class="textCtrl-content" *ngIf="msg.is_reply == 0">待回复</div>\n\n        <div class="textCtrl-content" *ngIf="msg.is_reply == 1">已回复</div>\n\n      </ion-card-content>\n\n\n\n      <ng-container *ngIf="msg.is_reply == 1">\n\n        <ion-card-content>\n\n          <ion-item no-padding>\n\n            <p [innerHTML]="assembleHTML(msg.reply_content)" class="textCtrl-content"><span>回复：</span></p>\n\n          </ion-item>\n\n        </ion-card-content>\n\n        <ion-row>\n\n          <ion-col col-9>\n\n            <button ion-button icon-left clear small>\n\n              <ion-icon class="is-reply-icon" name="checkmark-circle"></ion-icon>\n\n              <div><span class="is-reply-span textCtrl-content">回复时间：&nbsp;&nbsp;</span><span\n\n                  class="appraise-time textCtrl-content">{{msg.reply_time}}</span></div>\n\n            </button>\n\n          </ion-col>\n\n          <ion-col col-3>\n\n            <button ion-button icon-left clear small>\n\n              <!-- <ion-icon name="text"></ion-icon>\n\n                <div>4 Comments</div> -->\n\n            </button>\n\n          </ion-col>\n\n        </ion-row>\n\n      </ng-container>\n\n\n\n      <ng-container *ngIf="msg.is_reply == 0">\n\n        <ion-row>\n\n          <ion-col col-4>\n\n            <button ion-button icon-left clear small>\n\n              <ion-icon class="is-not-reply-icon" name="close-circle"></ion-icon>\n\n              <div><span class="is-not-reply-span textCtrl-content">尚未回复</span></div>\n\n            </button>\n\n          </ion-col>\n\n          <ion-col col-1 offset-7>\n\n            <button (click)="deleteMsg(ionCardItem,i,msg.id,$event)"\n\n              style="right: 18px;bottom: 0px;top: 7px;font-size:1.6rem;" ion-button clear small>\n\n              <ion-icon name="ios-trash-outline"></ion-icon>\n\n              <!-- <div>删除</div> -->\n\n            </button>\n\n          </ion-col>\n\n        </ion-row>\n\n      </ng-container>\n\n    </ion-card>\n\n  </ng-container>\n\n\n\n\n\n  <ion-infinite-scroll (ionInfinite)="doInfinite($event)" *ngIf="hasmore">\n\n    <ion-infinite-scroll-content loadingSpinner="bubbles" loadingText="正在加载...">\n\n    </ion-infinite-scroll-content>\n\n  </ion-infinite-scroll>\n\n\n\n</ion-content>'/*ion-inline-end:"D:\project\changchun\ccszgh\changchun_app\src\pages\member\psychological-msg\psychological-msg.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
            __WEBPACK_IMPORTED_MODULE_2__app_app_service__["b" /* AppService */],
            __WEBPACK_IMPORTED_MODULE_3__app_app_util__["a" /* AppUtil */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["AlertController"]])
    ], PsychologicalMsgPage);
    return PsychologicalMsgPage;
}());

//# sourceMappingURL=psychological-msg.js.map

/***/ }),

/***/ 977:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "PsychologicalMsgPageModule", function() { return PsychologicalMsgPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__psychological_msg__ = __webpack_require__(1118);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var PsychologicalMsgPageModule = /** @class */ (function () {
    function PsychologicalMsgPageModule() {
    }
    PsychologicalMsgPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__psychological_msg__["a" /* PsychologicalMsgPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__psychological_msg__["a" /* PsychologicalMsgPage */]),
            ],
        })
    ], PsychologicalMsgPageModule);
    return PsychologicalMsgPageModule;
}());

//# sourceMappingURL=psychological-msg.module.js.map

/***/ })

});
//# sourceMappingURL=67.js.map