webpackJsonp([78],{

/***/ 1106:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return MyStationLikePage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__app_app_service__ = __webpack_require__(8);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3_ionic_angular_components_modal_modal_controller__ = __webpack_require__(27);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__components_member_station_search_station_search__ = __webpack_require__(517);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__app_app_util__ = __webpack_require__(7);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__angular_http__ = __webpack_require__(167);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};







/**
 * Generated class for the MyStationLikePage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var MyStationLikePage = /** @class */ (function () {
    /**
     * 构造方法
     * @param navCtrl
     * @param navParams
     * @param appService
     * @param modalCtrl
     * @param appUtil
     */
    function MyStationLikePage(navCtrl, navParams, appService, modalCtrl, appUtil, http) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.appService = appService;
        this.modalCtrl = modalCtrl;
        this.appUtil = appUtil;
        this.http = http;
        this.toggle = {
            toggleimg: 'assets/imgs/aixin1.png'
        };
        this.hasmore = true;
        this.stationsList = [];
        this.params = {
            token: localStorage.getItem('changchun.token'),
            page: 1,
            size: 10,
            station_name: '',
            longitude: localStorage.getItem('longitude'),
            latitude: localStorage.getItem('latitude') //纬度 这个最后加了定位插件再传值
        };
    }
    MyStationLikePage.prototype.ionViewWillEnter = function () {
        this.initList();
        this.checkTokenAvailable();
    };
    /* 校验登录状态 */
    MyStationLikePage.prototype.checkTokenAvailable = function () {
        this.http.get(__WEBPACK_IMPORTED_MODULE_2__app_app_service__["a" /* AppGlobal */].domain + __WEBPACK_IMPORTED_MODULE_2__app_app_service__["a" /* AppGlobal */].API.checkTokenAvailable + this.appService.encode({
            token: localStorage.getItem('changchun.token')
        }))
            .timeout(30000)
            .toPromise()
            .then(function (res) {
            var d = res.json();
            if (d.errcode == -1) {
                localStorage.removeItem('changchun.token');
            }
        });
    };
    /**
     * 获取服务站列表信息
     */
    MyStationLikePage.prototype.getStationList = function () {
        var _this = this;
        // this.stationsList = JSON.parse(localStorage.getItem('changchun.stationList')) || [];
        this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_2__app_app_service__["a" /* AppGlobal */].API.getStationLike, this.params, function (d) {
            if (d != null && d != undefined) {
                if (d.errcode == -1) {
                    _this.appUtil.remindLogin();
                }
                else if (d.errcode == -2) {
                    _this.appService.alert(d.errmsg);
                }
                else {
                    _this.stationsList = d;
                    _this.params.page += 1;
                    // localStorage.setItem('changchun.stationList', JSON.stringify(d));
                }
            }
            else {
                _this.appService.alert('网络繁忙，请稍候重试');
            }
        });
    };
    //追踪对象的id，列表重新加载时进行选择性刷新，在列表大数据情况下提高性能。
    MyStationLikePage.prototype.trackByStationList = function (index, stationsList) {
        return stationsList.id;
    };
    /**
     * 刷新
     */
    MyStationLikePage.prototype.doRefresh = function (refresher) {
        var _this = this;
        setTimeout(function () {
            _this.params.station_name = '';
            _this.initList();
            refresher.complete();
        }, 1000);
    };
    /**
     * 上滑加载更多数据
     * @param infiniteScroll
     */
    MyStationLikePage.prototype.doInfinite = function (infiniteScroll) {
        var _this = this;
        if (this.hasmore == false) {
            infiniteScroll.complete();
            return;
        }
        this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_2__app_app_service__["a" /* AppGlobal */].API.getStationLike, this.params, function (d) {
            if (d.length > 0) {
                //concat():在原来的基础上追加新的数据
                _this.stationsList = _this.stationsList.concat(d);
                _this.params.page += 1;
            }
            else {
                _this.hasmore = false;
                // console.log("没有数据啦！")
            }
            infiniteScroll.complete();
        });
    };
    /**
    * 刷新时需要初始化页数和是否还有数据的标志
    */
    MyStationLikePage.prototype.initList = function () {
        this.params.page = 1;
        this.hasmore = true;
        this.getStationList();
    };
    /**
     * 打开搜索模态框
     * @param myEvent
     */
    MyStationLikePage.prototype.openServiceSearchModal = function (myEvent) {
        var _this = this;
        var searchModal = this.modalCtrl.create(__WEBPACK_IMPORTED_MODULE_4__components_member_station_search_station_search__["a" /* StationSearchComponent */]);
        searchModal.onDidDismiss(function (data) {
            if (data == undefined) {
                _this.params.station_name = "";
            }
            else {
                _this.params.station_name = data;
            }
            _this.initList();
        });
        searchModal.present({
            ev: myEvent
        });
    };
    /**
     * 服务站详情
     * @param station_id 服务站id
     */
    MyStationLikePage.prototype.goDetail = function (station_id) {
        this.navCtrl.push('ServiceStationDetailPage', {
            station_id: station_id
        });
    };
    /**
     * 收藏/取消收藏
     */
    MyStationLikePage.prototype.toggleLike = function (firm_id) {
        var _this = this;
        this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_2__app_app_service__["a" /* AppGlobal */].API.editToogleLike, { firm_id: firm_id, token: localStorage.getItem('changchun.token') }, function (d) {
            if (d != null) {
                if (d.errcode > 0) {
                    _this.initList();
                    _this.appService.alert(d.errmsg);
                    return;
                }
                else {
                    _this.appService.alert(d.errmsg);
                    return;
                }
            }
            else {
                _this.appService.alert('网络繁忙，请稍候重试');
            }
        });
    };
    MyStationLikePage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-my-station-like',template:/*ion-inline-start:"D:\project\changchun\ccszgh\changchun_app\src\pages\member\my-station-like\my-station-like.html"*/'<!--\n\n  Generated template for the ServiceStationPage page.\n\n\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n\n  Ionic pages and navigation.\n\n-->\n\n<ion-header>\n\n\n\n  <ion-navbar color="primary">\n\n    <ion-title>收藏单位</ion-title>\n\n    <ion-buttons end>\n\n      <button ion-button icon-only (click)="openServiceSearchModal($event)">\n\n        <ion-icon name="search"></ion-icon>\n\n      </button>\n\n    </ion-buttons>\n\n  </ion-navbar>\n\n\n\n</ion-header>\n\n\n\n\n\n<ion-content>\n\n  <ion-refresher (ionRefresh)="doRefresh($event)">\n\n    <ion-refresher-content pullingIcon="arrow-dropdown" pullingText="下拉刷新" refreshingSpinner="circles"\n\n      refreshingText="加载中...">\n\n    </ion-refresher-content>\n\n  </ion-refresher>\n\n  <ion-searchbar *ngIf="show" (ionInput)="getItems($event)" placeholder="服务站名称"></ion-searchbar>\n\n  <section>\n\n    <ion-list style="padding:0 10px 0 10px;">\n\n      <ion-item *ngIf=\'stationsList.length==0||stationsList.length==underfind\'>\n\n        <p style="text-align:center;font-size:1.4rem;color:#8e9093">暂无合作服务，敬请期待</p>\n\n      </ion-item>\n\n      <ion-item class="item" *ngFor="let station of stationsList trackBy:trackByStationList">\n\n        <ion-avatar item-left style="margin:8px 16px 8px 5px;">\n\n          <img src={{station.img}}>\n\n        </ion-avatar>\n\n        <div style="float:left;width:60%"  (click)="goDetail(station.id)">\n\n            <h3 class="textCtrl-title">{{station.name}}</h3>\n\n            <div style="padding:0">\n\n              <ion-icon name="star" *ngFor="let item of station.star"></ion-icon>\n\n            </div>\n\n            <p class="textCtrl-content">地址：{{station.address}}</p>\n\n        </div>\n\n          <div style="float:right;margin-top:5px;">\n\n              <img *ngIf="station.img_like == 0" (click)="toggleLike(station.id)" src="assets/imgs/aixin1.png" style="width:27px;height:25px;">\n\n              <img *ngIf="station.img_like == 1" (click)="toggleLike(station.id)" src="assets/imgs/aixin2.png" style="width:27px;height:25px;">\n\n          </div>\n\n      </ion-item>\n\n    </ion-list>\n\n  </section>\n\n\n\n\n\n  <ion-infinite-scroll (ionInfinite)="doInfinite($event)">\n\n    <ion-infinite-scroll-content loadingSpinner="bubbles" loadingText="正在加载...">\n\n    </ion-infinite-scroll-content>\n\n  </ion-infinite-scroll>\n\n</ion-content>'/*ion-inline-end:"D:\project\changchun\ccszgh\changchun_app\src\pages\member\my-station-like\my-station-like.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
            __WEBPACK_IMPORTED_MODULE_2__app_app_service__["b" /* AppService */],
            __WEBPACK_IMPORTED_MODULE_3_ionic_angular_components_modal_modal_controller__["a" /* ModalController */],
            __WEBPACK_IMPORTED_MODULE_5__app_app_util__["a" /* AppUtil */],
            __WEBPACK_IMPORTED_MODULE_6__angular_http__["b" /* Http */]])
    ], MyStationLikePage);
    return MyStationLikePage;
}());

//# sourceMappingURL=my-station-like.js.map

/***/ }),

/***/ 965:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "MyStationLikePageModule", function() { return MyStationLikePageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__my_station_like__ = __webpack_require__(1106);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var MyStationLikePageModule = /** @class */ (function () {
    function MyStationLikePageModule() {
    }
    MyStationLikePageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__my_station_like__["a" /* MyStationLikePage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__my_station_like__["a" /* MyStationLikePage */]),
            ],
        })
    ], MyStationLikePageModule);
    return MyStationLikePageModule;
}());

//# sourceMappingURL=my-station-like.module.js.map

/***/ })

});
//# sourceMappingURL=78.js.map